---
layout: docs
page_title: connect kube - Command
description: >-
  The "connect kube" command command performs a target authorization or consumes an existing authorization token, and then launches a proxied kube connection.
---

# connect kube

Command: `boundary connect kube`

The `connect kube` command authorizes a session against a target and invokes a
Kubernetes client for the connection.
The command fills in the local address and port.

@include 'cmd-connect-env-vars.mdx'

## Examples

The following example authorizes a session to a target with the ID `ttcp_1234567890` and runs the `get nodes` command using the default `kubectl` client:

```shell-session
$ boundary connect kube \
   -target-id ttcp_t12345 \
   -- get nodes
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary connect kube [options] [args]
```

</CodeBlockConfig>

This command performs a target authorization or consumes an existing authorization token, and launches a proxied Kube connection.

@include 'cmd-connect-command-options.mdx'

### Kubernetes options:

- `-host` `(string: "")` - The host value to use.
  If set, this value overrides the endpoint address from the session information.
  Boundary passes the specified host name through to the client for use in the TLS SNI value, if supported.
  You can also specify the host value using the **BOUNDARY_CONNECT_KUBE_HOST** environment variable.

- `-scheme` `(string: "")` - The scheme to use.
The default value is `https`.
You can also specify the scheme using the **BOUNDARY_CONNECT_KUBE_SCHEME** environment variable.

- `-style` `(string: "")` - How the CLI attempts to invoke a Kubernetes client.
This value also sets a suitable default for `-exec`, if you did not specify a value.
The default and currently-understood value is `kubectl`.
You can also specify how the CLI attempts to invoke a Kubernetes client using the `BOUNDARY_CONNECT_KUBE_STYLE` environment variable.

@include 'cmd-option-note.mdx'